'
'	PAT'S NCPlot Script
'	INSERT sqrd
'	v1.0 
'	tested in ncplot v2.20
'

Dim sp1		 'input box header spacing
sp1 = "                                                 "
Dim sp2		 'msgbox spacing
sp2 = "        " 
Dim h1       'inputbox header
h1 = "Insert SQRD " 
Dim h2	     'Program note header
h2 = "Program Note:" 
Dim vn		 	'version
vn = " v1.0"
	

Dim size	'pick SQRD size
size = ""
Dim n		'loop control
n = 0		



do
size = InputBox ("Pick SQRD size ", h1 + sp1 + vn, "6")
	Select Case size
      Case "6"  size = "sqrd6"
      			n = 1
      Case "8"  size = "sqrd8"
      			n = 1
      Case "10" size = "sqrd10"
      			n = 1
      Case "12" size = "sqrd12"
      			n = 1
      Case Else      MsgBox " Option Invalid Please Select ( 6, 8, 10, or 12)"
	End Select
Loop Until n = 1



Dim G1
G1 = "G01 X"
Dim M1
M1 = "M11"
Dim M2
M2 = "M21"


'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   sqrd 6 string   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%			

If size = "sqrd6" then
	Dim RC6		'ROTATION CENTER (PART INSCRIBED RADIUS)
	RC6 = 3.7769 
	dim RX6		'Pre rotation X extents correction (to X0.0)
	RX6 =  0.7138
	dim RY6		'Pre rotation Y extents correction (to Y0.0)
	RY6 =  1.6071
	
	Dim RXC6	'Post rotation X extents correction (to X0.0)
	Dim RYC6	'Post rotation Y extents correction (to Y0.0)
	Dim RT6 	'Rotation angle  (RADIANS)
	Dim n6		'loop control
	n6 = 0		
	
 
		do
		RT6 = InputBox ("SQRD will be inserted Arc at Hour hand location", h1 + sp1 + "6sqrd", "12")
			Select Case RT6
		      Case "1"  RT6 = 5.759586
		     			RXC6 = RC6 - 0.0393
		     			RYC6 = RC6 - 0.3643
		      			n6 = 1
		      Case "2"  RT6 = 5.235987
		      			RXC6 = RC6 - 0.3663
		      			RYC6 = RC6 - 0.0360
		      			n6 = 1
		      Case "3"  RT6 = 4.712388
		      			RXC6 = RC6 - 1.6071
		      			RYC6 = RC6 - 0.7100
		      			n6 = 1
		      Case "4"  RT6 = 4.188790
		      			RXC6 = RC6 - 0.3430
		      			RYC6 = RC6 - 0.1983
		      			n6 = 1
		      Case "5"  RT6 = 3.665191
		      			RXC6 = RC6 - 0.0360
		      			RYC6 = RC6 + 0.1412
		      			n6 = 1
		      Case "6"  RT6 = 3.141592
		      			RXC6 = RC6 - 0.7100
		      			RYC6 = RC6 - 0.5700
		      			n6 = 1
		      Case "7"  RT6 = 2.617993
		      			RXC6 = RC6 - 0.1513
		      			RYC6 = RC6 - 0.0568
		      			n6 = 1
		      Case "8"  RT6 = 2.094395
		      			RXC6 = RC6 + 0.1412
		      			RYC6 = RC6 - 0.2936
		      			n6 = 1
		      Case "9"  RT6 = 1.570796
		      			RXC6 = RC6 - 0.5697
		      			RYC6 = RC6 - 0.7138
		      			n6 = 1
		      Case "10" RT6 = 1.047197
		      			RXC6 = RC6 - 0.0568
		      			RYC6 = RC6 - 0.0393
		      			n6 = 1
		      Case "11" RT6 = 0.523598 
		      			RXC6 = RC6 - 0.2936
		      			RYC6 = RC6 - 0.3663
		      			n6 = 1
		      Case "12" RT6 = 0
		      			RXC6 = RC6 - 0.7138
		      			RYC6 = RC6 - 1.6071
		      			n6 = 1
		      Case Else      MsgBox " Option Invalid Please Select ( Clock Hour Position )"
		      		
			End Select
			Loop Until n6 = 1
	
	 
	
	Dim BX6		'base X coordinates
	BX6 = 0
	Dim BY6		'base Y coordinates
	BY6 = 0
	
	ncplot.ncpviewsetorientation 0		'Set top view
		
	Dim yn61		'yes/no message box
	Dim yn62		'yes/no message box
	Dim yn63		'yes/no message box
	
 
		yn61 = msgbox (sp2 + "Do you want to add X,Y Coordinates now ?" + sp2, 4, "6sqrd")

	
		If yn61 = 6 Then
			yn62 = MsgBox ( "Origin point is bottom left", ,h2 )
			BX6 = InputBox ("Input X Coordinate ", h1 + sp1 + vn, "2.23")
			BY6 = InputBox ("Input Y Coordinate ", h1 + sp1 + vn, "2.23")
		ElseIf yn61 = 7 Then
					yn63 = msgbox (sp2 + "Do you want to pick points in plot window ?" + sp2, 4, h1)
						If yn63 = 6 Then 
							ncplot.ncppickpoint BX6, BY6,, "Select base point"		' Wait for points to be clicked and returns coordinates
						ElseIf yn63 = 7 Then 
						End If
		End if
	
	BX6 = Round(BX6, 3)
	BY6 = Round(BY6, 3)
	
	dim SX60				'Static X coordinates set 0 (S = Static, X = X, 6 = 6"sqrd, 0 = line set 0)
	SX60 = 5.344 +RX6-RC6
	dim SY60				'Static Y coordinates set 0 (S = Static, Y = Y, 6 = 6"sqrd, 0 = line set 0)
	SY60 = 5.377 +RY6-RC6
	dim RX60				'Rotated X coordinates set 0 (R = Rotated, X = X, 6 = 6"sqrd, 0 = line set 0)
	RX60 = SX60
	dim RY60				'Rotated Y coordinates set 0 (R = Rotated, Y = Y, 6 = 6"sqrd, 0 = line set 0)
	RY60 = SY60
	
	RX60 = (SX60*Cos(RT6) - SY60*Sin(RT6) )
	RX60 = (RX60  + RXC6 + BX6)
	RY60 = (SX60*sin(RT6) + SY60*cos(RT6) )
	RY60 = (RY60  + RYC6 + BY6)
	
	RX60 = Round(RX60, 3)
	RY60 = Round(RY60, 3)
	
	''''''''''''''''''''''''''
	dim SX61
	SX61 = 5.380 +RX6-RC6
	dim SY61	
	SY61 = 5.130 +RY6-RC6
	dim RX61		
	RX61 = SX61
	dim RY61		
	RY61 = SY61
	
	RX61 = (SX61*cos(RT6) - SY61*sin(RT6) )
	RX61 = (RX61  + RXC6 + BX6)
	RY61 = (SX61*sin(RT6) + SY61*cos(RT6) )
	RY61 = (RY61  + RYC6 + BY6)
	
	RX61 = Round(RX61, 3)
	RY61 = Round(RY61, 3)
	
	''''''''''''''''''''''''''
	dim SX62
	SX62 = 6.130 +RX6-RC6
	dim SY62
	SY62 = 0.0 +RY6-RC6
	dim RX62	
	RX62 = SX62
	dim RY62
	RY62 = SY62
	
	RX62 = (SX62*cos(RT6) - SY62*sin(RT6) )
	RX62 = (RX62  + RXC6 + BX6)
	RY62 = (SX62*sin(RT6) + SY62*cos(RT6) )
	RY62 = (RY62  + RYC6 + BY6)
	
	RX62 = Round(RX62, 3)
	RY62 = Round(RY62, 3)
	
	''''''''''''''''''''''''''
	dim SX63
	SX63 = 0.0 +RX6-RC6
	dim SY63
	SY63 = 0.0 +RY6-RC6
	dim RX63	
	RX63 = SX63
	dim RY63
	RY63 = SY63
	
	RX63 = (SX63*cos(RT6) - SY63*sin(RT6) )
	RX63 = (RX63  + RXC6 + BX6)
	RY63 = (SX63*sin(RT6) + SY63*cos(RT6) )
	RY63 = (RY63  + RYC6 + BY6)
	
	RX63 = Round(RX63, 3)
	RY63 = Round(RY63, 3)
	
	''''''''''''''''''''''''''
	dim SX64
	SX64 = 0.750 +RX6-RC6
	dim SY64
	SY64 = 5.130 +RY6-RC6
	dim RX64	
	RX64 = SX64
	dim RY64
	RY64 = SY64
	
	RX64 = (SX64*cos(RT6) - SY64*sin(RT6) )
	RX64 = (RX64  + RXC6 + BX6)
	RY64 = (SX64*sin(RT6) + SY64*cos(RT6) )
	RY64 = (RY64  + RYC6 + BY6)
	
	RX64 = Round(RX64, 3)
	RY64 = Round(RY64, 3)
	
	''''''''''''''''''''''''''
	dim SX65
	SX65 = 1.150 +RX6-RC6
	dim SY65
	SY65 = 5.070 +RY6-RC6
	dim RX65	
	RX65 = SX65
	dim RY65
	RY65 = SY65
	
	RX65 = (SX65*cos(RT6) - SY65*sin(RT6) )
	RX65 = (RX65  + RXC6 + BX6)
	RY65 = (SX65*sin(RT6) + SY65*cos(RT6) )
	RY65 = (RY65  + RYC6 + BY6)
	
	RX65 = Round(RX65, 3)
	RY65 = Round(RY65, 3)
	
	''''''''''''''''''''''''''
	dim SX66
	SX66 = 1.620 +RX6-RC6
	dim SY66
	SY66 = 5.030 +RY6-RC6
	dim RX66	
	RX66 = SX66
	dim RY66
	RY66 = SY66
	
	RX66 = (SX66*cos(RT6) - SY66*sin(RT6) )
	RX66 = (RX66  + RXC6 + BX6)
	RY66 = (SX66*sin(RT6) + SY66*cos(RT6))
	RY66 = (RY66  + RYC6 + BY6)
	
	RX66 = Round(RX66, 3)
	RY66 = Round(RY66, 3)
	
	''''''''''''''''''''''''''
	dim SX67
	SX67 = 2.090 +RX6-RC6
	dim SY67
	SY67 = 5.010 +RY6-RC6
	dim RX67	
	RX67 = SX67
	dim RY67
	RY67 = SY67
	 
	RX67 = (SX67*cos(RT6) - SY67*sin(RT6) )
	RX67 = (RX67  + RXC6 + BX6)
	RY67 = (SX67*sin(RT6) + SY67*cos(RT6) )
	RY67 = (RY67  + RYC6 + BY6)
	
	RX67 = Round(RX67, 3)
	RY67 = Round(RY67, 3)
	
	''''''''''''''''''''''''''
	dim SX68
	SX68 = 2.560 +RX6-RC6
	dim SY68
	SY68 = 5.000 +RY6-RC6
	dim RX68	
	RX68 = SX68
	dim RY68
	RY68 = SY68
	
	RX68 = (SX68*cos(RT6) - SY68*sin(RT6) )
	RX68 = (RX68  + RXC6 + BX6)
	RY68 = (SX68*sin(RT6) + SY68*cos(RT6) )
	RY68 = (RY68  + RYC6 + BY6)
	
	RX68 = Round(RX68, 3)
	RY68 = Round(RY68, 3)
	
	''''''''''''''''''''''''''
	dim SX69
	SX69 = 3.040 +RX6-RC6
	dim SY69
	SY69 = 5.000 +RY6-RC6
	dim RX69	
	RX69 = SX69
	dim RY69
	RY69 = SY69
	
	RX69 = (SX69*cos(RT6) - SY69*sin(RT6) )
	RX69 = (RX69  + RXC6 + BX6)
	RY69 = (SX69*sin(RT6) + SY69*cos(RT6))
	RY69 = (RY69  + RYC6 + BY6)
	
	RX69 = Round(RX69, 3)
	RY69 = Round(RY69, 3)
	
	''''''''''''''''''''''''''
	dim SX610
	SX610 = 3.510 +RX6-RC6
	dim SY610
	SY610 = 5.000 +RY6-RC6
	dim RX610	
	RX610 = SX610
	dim RY610
	RY610 = SY610
	
	RX610 = (SX610*cos(RT6) - SY610*sin(RT6) )
	RX610 = (RX610  + RXC6 + BX6)
	RY610 = (SX610*sin(RT6) + SY610*cos(RT6) ) 
	RY610 = (RY610  + RYC6 + BY6)
	
	RX610 = Round(RX610, 3)
	RY610 = Round(RY610, 3)
	
	''''''''''''''''''''''''''
	dim SX611
	SX611 = 3.980 +RX6-RC6
	dim SY611
	SY611 = 5.010 +RY6-RC6
	dim RX611	
	RX611 = SX611
	dim RY611
	RY611 = SY611
	
	RX611 = (SX611*cos(RT6) - SY611*sin(RT6) )
	RX611 = (RX611  + RXC6 + BX6)
	RY611 = (SX611*sin(RT6) + SY611*cos(RT6) )
	RY611 = (RY611  + RYC6 + BY6)
	
	RX611 = Round(RX611, 3)
	RY611 = Round(RY611, 3)
	
	''''''''''''''''''''''''''
	dim SX612
	SX612 = 4.450 +RX6-RC6
	dim SY612
	SY612 = 5.030 +RY6-RC6
	dim RX612	
	RX612 = SX612
	dim RY612
	RY612 = SY612
	
	RX612 = (SX612*cos(RT6) - SY612*sin(RT6) )
	RX612 = (RX612  + RXC6 + BX6)
	RY612 = (SX612*sin(RT6) + SY612*cos(RT6) )
	RY612 = (RY612  + RYC6 + BY6)
	
	RX612 = Round(RX612, 3)
	RY612 = Round(RY612, 3)
	
	''''''''''''''''''''''''''
	dim SX613
	SX613 = 4.920 +RX6-RC6
	dim SY613
	SY613 = 5.070 +RY6-RC6
	dim RX613	
	RX613 = SX613
	dim RY613
	RY613 = SY613 
	
	RX613 = (SX613*cos(RT6) - SY613*sin(RT6) )
	RX613 = (RX613  + RXC6 + BX6)
	RY613 = (SX613*sin(RT6) + SY613*cos(RT6) )
	RY613 = (RY613  + RYC6 + BY6)
	
	RX613 = Round(RX613, 3)
	RY613 = Round(RY613, 3)
	
	''''''''''''''''''''''''''
	dim SX614
	SX614 = 5.380 +RX6-RC6
	dim SY614
	SY614 = 5.130 +RY6-RC6
	dim RX614	
	RX614 = SX614
	dim RY614
	RY614 = SY614 
	
	RX614 = (SX614*cos(RT6) - SY614*sin(RT6) )
	RX614 = (RX614  + RXC6 + BX6)
	RY614 = (SX614*sin(RT6) + SY614*cos(RT6) )
	RY614 = (RY614  + RYC6 + BY6)
	
	RX614 = Round(RX614, 3)
	RY614 = Round(RY614, 3)
	
	''''''''''''''''''''''''''
	dim SX615
	SX615 = 5.529 +RX6-RC6
	dim SY615
	SY615 = 5.149 +RY6-RC6
	dim RX615	
	RX615 = SX615
	dim RY615
	RY615 = SY615
	
	RX615 = (SX615*cos(RT6) - SY615*sin(RT6) )
	RX615 = (RX615  + RXC6 + BX6)
	RY615 = (SX615*sin(RT6) + SY615*cos(RT6) )
	RY615 = (RY615  + RYC6 + BY6)
	
	RX615 = Round(RX615, 3)
	RY615 = Round(RY615, 3)
	
	''''''''''''''''''''''''''
	
	Dim strg6
	strg6 = ""&vbCrLf& _
			"G00 X"&RX60&"Y"&RY60& vbCrLf _
			&M1& vbCrLf _
			&G1&""&RX61&"Y"&RY61& Vbcrlf _
			&G1&""&RX62&"Y"&RY62& Vbcrlf _
			&G1&""&RX63&"Y"&RY63& Vbcrlf _
			&G1&""&RX64&"Y"&RY64& vbCrLf _
			&G1&""&RX65&"Y"&RY65& vbCrLf _
			&G1&""&RX66&"Y"&RY66& vbCrLf _
			&G1&""&RX68&"Y"&RY68& vbCrLf _
			&G1&""&RX69&"Y"&RY69& vbCrLf _
			&G1&""&RX610&"Y"&RY610& vbCrLf _
			&G1&""&RX611&"Y"&RY611& vbCrLf _
			&G1&""&RX612&"Y"&RY612& vbCrLf _
			&G1&""&RX613&"Y"&RY613& vbCrLf _
			&G1&""&RX614&"Y"&RY614& vbCrLf _
			&G1&""&RX615&"Y"&RY615& vbCrLf _
			&M2&""&Vbcrlf& _
			""&Vbcrlf& _
			""
			

End If


'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   sqrd 8 string   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

If size = "sqrd8" then
	Dim RC8		'ROTATION CENTER (PART INSCRIBED RADIUS)
	RC8 = 4.5424 
	dim RX8		'Pre rotation X extents correction (to X0.0)
	RX8 = 0.4312
	dim RY8		'Pre rotation Y extents correction (to Y0.0)
	RY8 = 2.6145
	
	Dim RXC8	'Post rotation X extents correction (to X0.0)
	Dim RYC8	'Post rotation Y extents correction (to Y0.0)
	Dim RT8		'Rotation angle  (RADIANS)
	Dim n8		'loop control
	n8 = 0
	

		do
		RT8 = InputBox ("SQRD will be inserted Arc at Hour hand location", h1 + sp1 + "8sqrd", "12")
			Select Case RT8
		      Case "1"  RT8 = 5.759586
		     			RXC8 = RC8 - 0.018
		     			RYC8 = RC8 - 0.816
		      			n8 = 1
		      Case "2"  RT8 = 5.235987
		      			RXC8 = RC8 - 0.817
		      			RYC8 = RC8 - 0.016
		      			n8 = 1
		      Case "3"  RT8 = 4.712388
		      			RXC8 = RC8 - 2.615
		      			RYC8 = RC8 - 0.429
		      			n8 = 1
		      Case "4"  RT8 = 4.188790
		      			RXC8 = RC8 - 0.816
		      			RYC8 = RC8 - 0.046
		      			n8 = 1
		      Case "5"  RT8 = 3.665191
		      			RXC8 = RC8 - 0.016
		      			RYC8 = RC8 + 0.066
		      			n8 = 1
		      Case "6"  RT8 = 3.141592
		      			RXC8 = RC8 - 0.429
		      			RYC8 = RC8 - 0.999
		      			n8 = 1
		      Case "7"  RT8 = 2.617993
		      			RXC8 = RC8 - 0.046
		      			RYC8 = RC8 - 0.125
		      			n8 = 1
		      Case "8"  RT8 = 2.094395
		      			RXC8 = RC8 + 0.066
		      			RYC8 = RC8 - 0.188
		      			n8 = 1
		      Case "9"  RT8 = 1.570796
		      			RXC8 = RC8 - 0.999
		      			RYC8 = RC8 - 0.431
		      			n8 = 1
		      Case "10" RT8 = 1.047197
		      			RXC8 = RC8 - 0.125
		      			RYC8 = RC8 - 0.018
		      			n8 = 1
		      Case "11" RT8 = 0.523598 
		      			RXC8 = RC8 - 0.188
		      			RYC8 = RC8 - 0.817
		      			n8 = 1
		      Case "12" RT8 = 0
		      			RXC8 = RC8 - 0.4312
		      			RYC8 = RC8 - 2.6145
		      			n8 = 1
		      Case Else      MsgBox " Option Invalid Please Select ( Clock Hour Position )"
		      		
			End Select
			Loop Until n8 = 1
	
	
	Dim BX8		'base X coordinates
	BX8 = 0
	Dim BY8		'base Y coordinates
	BY8 = 0
	
	ncplot.ncpviewsetorientation 0		'Set top view
		
	Dim yn81	'yes/no message box
	Dim yn82	'yes/no message box
	Dim yn83	'yes/no message box
	
		
		yn81 = msgbox (sp2 + "Do you want to add X,Y Coordinates now ?" + sp2, 4, "8sqrd")
	
	
		If yn81 = 6 Then
			yn82 = MsgBox ( "Origin point is bottom left", ,h2 )
			BX8 = InputBox ("Input X Coordinate ", h1 + sp1 + vn, "2.23")
			BY8 = InputBox ("Input Y Coordinate ", h1 + sp1 + vn, "2.23")
		ElseIf yn81 = 7 Then
					yn83 = msgbox (sp2 + "Do you want to pick points in plot window ?" + sp2, 4, h1)
						If yn83 = 6 Then 
							ncplot.ncppickpoint BX8, BY8,, "Select base point"		' Wait for points to be clicked and returns coordinates
						ElseIf yn83 = 7 Then 
						End If
		End If
	
	BX8 = Round(BX8, 3)
	BY8 = Round(BY8, 3)
	
	dim SX80				'Static X coordinates set 0 (S = Static, X = X, 8 = 8"sqrd, 0 = line set 0)
	SX80 = 7.192+RX8-RC8
	dim SY80				'Static Y coordinates set 0 (S = Static, Y = Y, 8 = 8"sqrd, 0 = line set 0)
	SY80 = 5.471 +RY8-RC8
	dim RX80				'Rotated X coordinates set 0 (R = Rotated, X = X, 8 = 8"sqrd, 0 = line set 0)
	RX80 = SX80
	dim RY80				'Rotated Y coordinates set 0 (R = Rotated, Y = Y, 8 = 8"sqrd, 0 = line set 0)
	RY80 = SY80
	
	RX80 = (SX80*Cos(RT8) - SY80*Sin(RT8) )
	RX80 = (RX80  + RXC8 + BX8)
	RY80 = (SX80*sin(RT8) + SY80*cos(RT8) )
	RY80 = (RY80  + RYC8 + BY8)
	
	RX80 = Round(RX80, 3)
	RY80 = Round(RY80, 3)
	
	''''''''''''''''''''''''''
	dim SX81
	SX81 = 7.238 +RX8-RC8
	dim SY81
	SY81 = 5.225 +RY8-RC8
	dim RX81	
	RX81 = SX81
	dim RY81
	RY81 = SY81
	
	RX81 = (SX81*cos(RT8) - SY81*sin(RT8) )
	RX81 = (RX81  + RXC8 + BX8)
	RY81 = (SX81*sin(RT8) + SY81*cos(RT8) )
	RY81 = (RY81  + RYC8 + BY8)
	
	RX81 = Round(RX81, 3)
	RY81 = Round(RY81, 3)
	
	''''''''''''''''''''''''''
	dim SX82
	SX82 = 8.225 +RX8-RC8
	dim SY82
	SY82 = 0.0 +RY8-RC8
	dim RX82	
	RX82 = SX82
	dim RY82
	RY82 = SY82
	
	RX82 = (SX82*cos(RT8) - SY82*sin(RT8) )
	RX82 = (RX82  + RXC8 + BX8)
	RY82 = (SX82*sin(RT8) + SY82*cos(RT8) )
	RY82 = (RY82  + RYC8 + BY8)
	
	RX82 = Round(RX82, 3)
	RY82 = Round(RY82, 3)
	
	''''''''''''''''''''''''''
	dim SX83
	SX83 = 0.0 +RX8-RC8
	dim SY83
	SY83 = 0.0 +RY8-RC8
	dim RX83	
	RX83 = SX83
	dim RY83
	RY83 = SY83
	
	RX83 = (SX83*cos(RT8) - SY83*sin(RT8) )
	RX83 = (RX83  + RXC8 + BX8)
	RY83 = (SX83*sin(RT8) + SY83*cos(RT8) )
	RY83 = (RY83  + RYC8 + BY8)
	
	RX83 = Round(RX83, 3)
	RY83 = Round(RY83, 3)
	
	''''''''''''''''''''''''''
	dim SX84
	SX84 = 0.987 +RX8-RC8
	dim SY84
	SY84 = 5.225 +RY8-RC8
	dim RX84	
	RX84 = SX84
	dim RY84
	RY84 = SY84
	
	RX84 = (SX84*cos(RT8) - SY84*sin(RT8) )
	RX84 = (RX84  + RXC8 + BX8)
	RY84 = (SX84*sin(RT8) + SY84*cos(RT8) )
	RY84 = (RY84  + RYC8 + BY8)
	
	RX84 = Round(RX84, 3)
	RY84 = Round(RY84, 3)
	
	''''''''''''''''''''''''''
	dim SX85
	SX85 = 1.607 +RX8-RC8
	dim SY85
	SY85 = 5.126 +RY8-RC8
	dim RX85	
	RX85 = SX85
	dim RY85
	RY85 = SY85
	
	RX85 = (SX85*cos(RT8) - SY85*sin(RT8) )
	RX85 = (RX85  + RXC8 + BX8)
	RY85 = (SX85*sin(RT8) + SY85*cos(RT8) )
	RY85 = (RY85  + RYC8 + BY8)
	
	RX85 = Round(RX85, 3)
	RY85 = Round(RY85, 3)
	
	''''''''''''''''''''''''''
	dim SX86
	SX86 = 2.231 +RX8-RC8
	dim SY86
	SY86 = 5.058 +RY8-RC8
	dim RX86	
	RX86 = SX86
	dim RY86
	RY86 = SY86
	
	RX86 = (SX86*cos(RT8) - SY86*sin(RT8) )
	RX86 = (RX86  + RXC8 + BX8)
	RY86 = (SX86*sin(RT8) + SY86*cos(RT8))
	RY86 = (RY86  + RYC8 + BY8)
	
	RX86 = Round(RX86, 3)
	RY86 = Round(RY86, 3)
	
	''''''''''''''''''''''''''
	dim SX87
	SX87 = 2.857 +RX8-RC8
	dim SY87
	SY87 = 5.020 +RY8-RC8
	dim RX87	
	RX87 = SX87
	dim RY87
	RY87 = SY87
	 
	RX87 = (SX87*cos(RT8) - SY87*sin(RT8) )
	RX87 = (RX87  + RXC8 + BX8)
	RY87 = (SX87*sin(RT8) + SY87*cos(RT8) )
	RY87 = (RY87  + RYC8 + BY8)
	
	RX87 = Round(RX87, 3)
	RY87 = Round(RY87, 3)
	
	''''''''''''''''''''''''''
	dim SX88
	SX88 = 3.485 +RX8-RC8
	dim SY88
	SY88 = 5.004 +RY8-RC8
	dim RX88	
	RX88 = SX88
	dim RY88
	RY88 = SY88
	
	RX88 = (SX88*cos(RT8) - SY88*sin(RT8) )
	RX88 = (RX88  + RXC8 + BX8)
	RY88 = (SX88*sin(RT8) + SY88*cos(RT8) )
	RY88 = (RY88  + RYC8 + BY8)
	
	RX88 = Round(RX88, 3)
	RY88 = Round(RY88, 3)
	
	''''''''''''''''''''''''''
	dim SX89
	SX89 = 4.111 +RX8-RC8
	dim SY89
	SY89 = 5.001 +RY8-RC8
	dim RX89	
	RX89 = SX89
	dim RY89
	RY89 = SY89
	
	RX89 = (SX89*cos(RT8) - SY89*sin(RT8) )
	RX89 = (RX89  + RXC8 + BX8)
	RY89 = (SX89*sin(RT8) + SY89*cos(RT8))
	RY89 = (RY89  + RYC8 + BY8)
	
	RX89 = Round(RX89, 3)
	RY89 = Round(RY89, 3)
	
	''''''''''''''''''''''''''
	dim SX810
	SX810 = 4.740 +RX8-RC8
	dim SY810
	SY810 = 5.004 +RY8-RC8
	dim RX810	
	RX810 = SX810
	dim RY810
	RY810 = SY810
	
	RX810 = (SX810*cos(RT8) - SY810*sin(RT8) )
	RX810 = (RX810  + RXC8 + BX8)
	RY810 = (SX810*sin(RT8) + SY810*cos(RT8) ) 
	RY810 = (RY810  + RYC8 + BY8)
	
	RX810 = Round(RX810, 3)
	RY810 = Round(RY810, 3)
	
	''''''''''''''''''''''''''
	dim SX811
	SX811 = 5.368 +RX8-RC8
	dim SY811
	SY811 = 5.020 +RY8-RC8
	dim RX811	
	RX811 = SX811
	dim RY811
	RY811 = SY811
	
	RX811 = (SX811*cos(RT8) - SY811*sin(RT8) )
	RX811 = (RX811  + RXC8 + BX8)
	RY811 = (SX811*sin(RT8) + SY811*cos(RT8) )
	RY811 = (RY811  + RYC8 + BY8)
	
	RX811 = Round(RX811, 3)
	RY811 = Round(RY811, 3)
	
	''''''''''''''''''''''''''
	dim SX812
	SX812 = 5.994 +RX8-RC8
	dim SY812
	SY812 = 5.058 +RY8-RC8
	dim RX812	
	RX812 = SX812
	dim RY812
	RY812 = SY812
	
	RX812 = (SX812*cos(RT8) - SY812*sin(RT8) )
	RX812 = (RX812  + RXC8 + BX8)
	RY812 = (SX812*sin(RT8) + SY812*cos(RT8) )
	RY812 = (RY812  + RYC8 + BY8)
	
	RX812 = Round(RX812, 3)
	RY812 = Round(RY812, 3)
	
	''''''''''''''''''''''''''
	dim SX813
	SX813 = 6.618 +RX8-RC8
	dim SY813
	SY813 = 5.126 +RY8-RC8
	dim RX813	
	RX813 = SX813
	dim RY813
	RY813 = SY813 
	
	RX813 = (SX813*cos(RT8) - SY813*sin(RT8) )
	RX813 = (RX813  + RXC8 + BX8)
	RY813 = (SX813*sin(RT8) + SY813*cos(RT8) )
	RY813 = (RY813  + RYC8 + BY8)
	
	RX813 = Round(RX813, 3)
	RY813 = Round(RY813, 3)
	
	''''''''''''''''''''''''''
	dim SX814
	SX814 = 7.238 +RX8-RC8
	dim SY814
	SY814 = 5.225 +RY8-RC8
	dim RX814	
	RX814 = SX814
	dim RY814
	RY814 = SY814 
	
	RX814 = (SX814*cos(RT8) - SY814*sin(RT8) )
	RX814 = (RX814  + RXC8 + BX8)
	RY814 = (SX814*sin(RT8) + SY814*cos(RT8) )
	RY814 = (RY814  + RYC8 + BY8)
	
	RX814 = Round(RX814, 3)
	RY814 = Round(RY814, 3)
	
	''''''''''''''''''''''''''
	dim SX815
	SX815 = 7.386 +RX8-RC8
	dim SY815
	SY815 = 5.249 +RY8-RC8
	dim RX815	
	RX815 = SX815
	dim RY815
	RY815 = SY815
	
	RX815 = (SX815*cos(RT8) - SY815*sin(RT8) )
	RX815 = (RX815  + RXC8 + BX8)
	RY815 = (SX815*sin(RT8) + SY815*cos(RT8) )
	RY815 = (RY815  + RYC8 + BY8)
	
	RX815 = Round(RX815, 3)
	RY815 = Round(RY815, 3)
	
	''''''''''''''''''''''''''
	
	Dim strg8
	strg8 = ""&vbCrLf& _
			"G00 X"&RX80&"Y"&RY80& vbCrLf _
			&M1& vbCrLf _
			&G1&""&RX81&"Y"&RY81& Vbcrlf _
			&G1&""&RX82&"Y"&RY82& Vbcrlf _
			&G1&""&RX83&"Y"&RY83& Vbcrlf _
			&G1&""&RX84&"Y"&RY84& vbCrLf _
			&G1&""&RX85&"Y"&RY85& vbCrLf _
			&G1&""&RX86&"Y"&RY86& vbCrLf _
			&G1&""&RX88&"Y"&RY88& vbCrLf _
			&G1&""&RX89&"Y"&RY89& vbCrLf _
			&G1&""&RX810&"Y"&RY810& vbCrLf _
			&G1&""&RX811&"Y"&RY811& vbCrLf _
			&G1&""&RX812&"Y"&RY812& vbCrLf _
			&G1&""&RX813&"Y"&RY813& vbCrLf _
			&G1&""&RX814&"Y"&RY814& vbCrLf _
			&G1&""&RX815&"Y"&RY815& vbCrLf _
			&M2&""&Vbcrlf& _
			""&Vbcrlf& _
			""
			
End If




'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   sqrd 10 string   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

If size = "sqrd10" then
	Dim RC10		'ROTATION CENTER (PART INSCRIBED RADIUS)
	RC10 = 5.3882
	dim RX10		'Pre rotation X extents correction (to X0.0)
	RX10 = 0.2761
	dim RY10		'Pre rotation Y extents correction (to Y0.0)
	RY10 = 3.7265
	
	Dim RXC10	'Post rotation X extents correction (to X0.0)
	Dim RYC10	'Post rotation Y extents correction (to Y0.0)
	Dim RT10	'Rotation angle  (RADIANS)
	Dim n10		'loop control
	n10 = 0
	
		
		do
		RT10 = InputBox ("SQRD will be inserted ARC at Hour hand location", h1 + sp1 + "10sqrd", "12")
		Select Case RT10
		      Case "1"  RT10 = 5.759586
		     			RXC10 = RC10 - 0.130
		     			RYC10 = RC10 - 1.395
		      			n10 = 1
		      Case "2"  RT10 = 5.235987
		      			RXC10 = RC10 - 1.393
		      			RYC10 = RC10 - 0.134
		      			n10 = 1
		      Case "3"  RT10 = 4.712388
		      			RXC10 = RC10 - 3.726
		      			RYC10 = RC10 - 0.280
		      			n10 = 1
		      Case "4"  RT10 = 4.188790
		      			RXC10 = RC10 - 1.395
		      			RYC10 = RC10 - 0.008
		      			n10 = 1
		      Case "5"  RT10 = 3.665191
		      			RXC10 = RC10 - 0.134
		      			RYC10 = RC10 - 0.058
		      			n10 = 1
		      Case "6"  RT10 = 3.141592
		      			RXC10 = RC10 - 0.280
		      			RYC10 = RC10 - 1.470
		      			n10 = 1
		      Case "7"  RT10 = 2.617993
		      			RXC10 = RC10 - 0.008
		      			RYC10 = RC10 - 0.241
		      			n10 = 1
		      Case "8"  RT10 = 2.094395
		      			RXC10 = RC10 - 0.058
		      			RYC10 = RC10 - 0.147
		      			n10 = 1
		      Case "9"  RT10 = 1.570796
		      			RXC10 = RC10 - 1.470
		      			RYC10 = RC10 - 0.276
		      			n10 = 1
		      Case "10" RT10 = 1.047197
		      			RXC10 = RC10 - 0.241
		      			RYC10 = RC10 - 0.13
		      			n10 = 1
		      Case "11" RT10 = 0.523598 
		      			RXC10 = RC10 - 0.147
		      			RYC10 = RC10 - 1.393
		      			n10 = 1
		      Case "12" RT10 = 0
		      			RXC10 = RC10 - 0.2761
		      			RYC10 = RC10 - 3.7265
		      			n10 = 1
		      Case Else      MsgBox " Option Invalid Please Select ( Clock Hour Position )"
		      		
		End Select
		Loop Until n10 = 1
	
	
	Dim BX10		'base X coordinates
	BX10 = 0
	Dim BY10		'base Y coordinates
	BY10 = 0
	
	ncplot.ncpviewsetorientation 0		'Set top view
		
	Dim yn101	'yes/no message box
	Dim yn102	'yes/no message box
	Dim yn103	'yes/no message box
	

		yn101 = msgbox (sp2 + "Do you want to add X,Y Coordinates now ?" + sp2, 4, "10sqrd")

	
		If yn101 = 6 Then
			yn102 = MsgBox ( "Origin point is bottom left", ,h2 )
			BX10 = InputBox ("Input X Coordinate ", h1 + sp1 + vn, "2.23")
			BY10 = InputBox ("Input Y Coordinate ", h1 + sp1 + vn, "2.23")
		ElseIf yn101 = 7 Then
					yn103 = msgbox (sp2 + "Do you want to pick points in plot window ?" + sp2, 4, h1)
						If yn103 = 6 Then 
							ncplot.ncppickpoint BX10, BY10,, "Select base point"		' Wait for points to be clicked and returns coordinates
						ElseIf yn103 = 7 Then 
						End If
		End If
	
	BY10 = Round(BY10, 3)
	BX10 = Round(BX10, 3)
	
	dim SX100				'Static X coordinates set 0 (S = Static, X = X, 10 = 10"sqrd, 0 = line set 0)
	SX100 = 8.985+RX10-RC10
	dim SY100				'Static Y coordinates set 0 (S = Static, Y = Y, 10 = 10"sqrd, 0 = line set 0)
	SY100 = 5.580+RY10-RC10
	dim RX100				'Rotated X coordinates set 0 (R = Rotated, X = X, 10 = 10"sqrd, 0 = line set 0)
	RX100 = SX100
	dim RY100				'Rotated Y coordinates set 0 (R = Rotated, Y = Y, 10 = 10"sqrd, 0 = line set 0)
	RY100 = SY100
	
	RX100 = (SX100*Cos(RT10) - SY100*Sin(RT10) )
	RX100 = (RX100  + RXC10 + BX10)
	RY100 = (SX100*sin(RT10) + SY100*cos(RT10) )
	RY100 = (RY100  + RYC10 + BY10)
	
	RX100 = Round(RX100, 3)
	RY100 = Round(RY100, 3)
	
	''''''''''''''''''''''''''
	dim SX101
	SX101 = 9.039 +RX10-RC10
	dim SY101
	SY101 = 5.336 +RY10-RC10
	dim RX101	
	RX101 = SX101
	dim RY101
	RY101 = SY101
	
	RX101 = (SX101*cos(RT10) - SY101*sin(RT10) )
	RX101 = (RX101  + RXC10 + BX10)
	RY101 = (SX101*sin(RT10) + SY101*cos(RT10) )
	RY101 = (RY101  + RYC10 + BY10)
	
	RX101 = Round(RX101, 3)
	RY101 = Round(RY101, 3)
	
	''''''''''''''''''''''''''
	dim SX102
	SX102 = 10.220 +RX10-RC10
	dim SY102
	SY102 = 0.0 +RY10-RC10
	dim RX102	
	RX102 = SX102
	dim RY102
	RY102 = SY102
	
	RX102 = (SX102*cos(RT10) - SY102*sin(RT10) )
	RX102 = (RX102  + RXC10 + BX10)
	RY102 = (SX102*sin(RT10) + SY102*cos(RT10) )
	RY102 = (RY102  + RYC10 + BY10)
	
	RX102 = Round(RX102, 3)
	RY102 = Round(RY102, 3)
	
	''''''''''''''''''''''''''
	dim SX103
	SX103 = 0.0 +RX10-RC10
	dim SY103
	SY103 = 0.0 +RY10-RC10
	dim RX103	
	RX103 = SX103
	dim RY103
	RY103 = SY103
	
	RX103 = (SX103*cos(RT10) - SY103*sin(RT10) )
	RX103 = (RX103  + RXC10 + BX10)
	RY103 = (SX103*sin(RT10) + SY103*cos(RT10) )
	RY103 = (RY103  + RYC10 + BY10)
	
	RX103 = Round(RX103, 3)
	RY103 = Round(RY103, 3)
	
	''''''''''''''''''''''''''
	dim SX104
	SX104 = 1.181 +RX10-RC10
	dim SY104
	SY104 = 5.336 +RY10-RC10
	dim RX104	
	RX104 = SX104
	dim RY104
	RY104 = SY104
	
	RX104 = (SX104*cos(RT10) - SY104*sin(RT10) )
	RX104 = (RX104  + RXC10 + BX10)
	RY104 = (SX104*sin(RT10) + SY104*cos(RT10) )
	RY104 = (RY104  + RYC10 + BY10)
	
	RX104 = Round(RX104, 3)
	RY104 = Round(RY104, 3)
	
	''''''''''''''''''''''''''
	dim SX105
	SX105 = 1.760 +RX10-RC10
	dim SY105
	SY105 = 5.220 +RY10-RC10
	dim RX105	
	RX105 = SX105
	dim RY105
	RY105 = SY105
	
	RX105 = (SX105*cos(RT10) - SY105*sin(RT10) )
	RX105 = (RX105  + RXC10 + BX10)
	RY105 = (SX105*sin(RT10) + SY105*cos(RT10) )
	RY105 = (RY105  + RYC10 + BY10)
	
	RX105 = Round(RX105, 3)
	RY105 = Round(RY105, 3)
	
	''''''''''''''''''''''''''
	dim SX106
	SX106 = 2.310 +RX10-RC10
	dim SY106
	SY106 = 5.140 +RY10-RC10
	dim RX106	
	RX106 = SX106
	dim RY106
	RY106 = SY106
	
	RX106 = (SX106*cos(RT10) - SY106*sin(RT10) )
	RX106 = (RX106  + RXC10 + BX10)
	RY106 = (SX106*sin(RT10) + SY106*cos(RT10))
	RY106 = (RY106  + RYC10 + BY10)
	
	RX106 = Round(RX106, 3)
	RY106 = Round(RY106, 3)
	
	''''''''''''''''''''''''''
	dim SX107
	SX107 = 2.870 +RX10-RC10
	dim SY107
	SY107 = 5.070 +RY10-RC10
	dim RX107	
	RX107 = SX107
	dim RY107
	RY107 = SY107
	 
	RX107 = (SX107*cos(RT10) - SY107*sin(RT10) )
	RX107 = (RX107  + RXC10 + BX10)
	RY107 = (SX107*sin(RT10) + SY107*cos(RT10) )
	RY107 = (RY107  + RYC10 + BY10)
	
	RX107 = Round(RX107, 3)
	RY107 = Round(RY107, 3)
	
	''''''''''''''''''''''''''
	dim SX108
	SX108 = 3.430 +RX10-RC10
	dim SY108
	SY108 = 5.030 +RY10-RC10
	dim RX108	
	RX108 = SX108
	dim RY108
	RY108 = SY108
	
	RX108 = (SX108*cos(RT10) - SY108*sin(RT10) )
	RX108 = (RX108  + RXC10 + BX10)
	RY108 = (SX108*sin(RT10) + SY108*cos(RT10) )
	RY108 = (RY108  + RYC10 + BY10)
	
	RX108 = Round(RX108, 3)
	RY108 = Round(RY108, 3)
	
	''''''''''''''''''''''''''
	dim SX109
	SX109 = 3.990 +RX10-RC10
	dim SY109
	SY109 = 5.010 +RY10-RC10
	dim RX109	
	RX109 = SX109
	dim RY109
	RY109 = SY109
	
	RX109 = (SX109*cos(RT10) - SY109*sin(RT10) )
	RX109 = (RX109  + RXC10 + BX10)
	RY109 = (SX109*sin(RT10) + SY109*cos(RT10))
	RY109 = (RY109  + RYC10 + BY10)
	
	RX109 = Round(RX109, 3)
	RY109 = Round(RY109, 3)
	
	''''''''''''''''''''''''''
	dim SX1010
	SX1010 = 4.550 +RX10-RC10
	dim SY1010
	SY1010 = 5.000 +RY10-RC10
	dim RX1010	
	RX1010 = SX1010
	dim RY1010
	RY1010 = SY1010
	
	RX1010 = (SX1010*cos(RT10) - SY1010*sin(RT10) )
	RX1010 = (RX1010  + RXC10 + BX10)
	RY1010 = (SX1010*sin(RT10) + SY1010*cos(RT10) ) 
	RY1010 = (RY1010  + RYC10 + BY10)
	
	RX1010 = Round(RX1010, 3)
	RY1010 = Round(RY1010, 3)
	
	''''''''''''''''''''''''''
	dim SX1011
	SX1011 = 5.110 +RX10-RC10
	dim SY1011
	SY1011 = 5.000 +RY10-RC10
	dim RX1011	
	RX1011 = SX1011
	dim RY1011
	RY1011 = SY1011
	
	RX1011 = (SX1011*cos(RT10) - SY1011*sin(RT10) )
	RX1011 = (RX1011  + RXC10 + BX10)
	RY1011 = (SX1011*sin(RT10) + SY1011*cos(RT10) )
	RY1011 = (RY1011  + RYC10 + BY10)
	
	RX1011 = Round(RX1011, 3)
	RY1011 = Round(RY1011, 3)
	
	''''''''''''''''''''''''''
	dim SX1012
	SX1012 = 5.670 +RX10-RC10
	dim SY1012
	SY1012 = 5.000 +RY10-RC10
	dim RX1012	
	RX1012 = SX1012
	dim RY1012
	RY1012 = SY1012
	
	RX1012 = (SX1012*cos(RT10) - SY1012*sin(RT10) )
	RX1012 = (RX1012  + RXC10 + BX10)
	RY1012 = (SX1012*sin(RT10) + SY1012*cos(RT10) )
	RY1012 = (RY1012  + RYC10 + BY10)
	
	RX1012 = Round(RX1012, 3)
	RY1012 = Round(RY1012, 3)
	
	''''''''''''''''''''''''''
	dim SX1013
	SX1013 = 6.230 +RX10-RC10
	dim SY1013
	SY1013 = 5.010 +RY10-RC10
	dim RX1013	
	RX1013 = SX1013
	dim RY1013
	RY1013 = SY1013 
	
	RX1013 = (SX1013*cos(RT10) - SY1013*sin(RT10) )
	RX1013 = (RX1013  + RXC10 + BX10)
	RY1013 = (SX1013*sin(RT10) + SY1013*cos(RT10) )
	RY1013 = (RY1013  + RYC10 + BY10)
	
	RX1013 = Round(RX1013, 3)
	RY1013 = Round(RY1013, 3)
	
	''''''''''''''''''''''''''
	dim SX1014
	SX1014 = 6.790 +RX10-RC10
	dim SY1014
	SY1014 = 5.030 +RY10-RC10
	dim RX1014	
	RX1014 = SX1014
	dim RY1014
	RY1014 = SY1014 
	
	RX1014 = (SX1014*cos(RT10) - SY1014*sin(RT10) )
	RX1014 = (RX1014  + RXC10 + BX10)
	RY1014 = (SX1014*sin(RT10) + SY1014*cos(RT10) )
	RY1014 = (RY1014  + RYC10 + BY10)
	
	RX1014 = Round(RX1014, 3)
	RY1014 = Round(RY1014, 3)
	
	''''''''''''''''''''''''''
	dim SX1015
	SX1015 = 7.350 +RX10-RC10
	dim SY1015
	SY1015 = 5.070 +RY10-RC10
	dim RX1015	
	RX1015 = SX1015
	dim RY1015
	RY1015 = SY1015
	
	RX1015 = (SX1015*cos(RT10) - SY1015*sin(RT10) )
	RX1015 = (RX1015  + RXC10 + BX10)
	RY1015 = (SX1015*sin(RT10) + SY1015*cos(RT10) )
	RY1015 = (RY1015  + RYC10 + BY10)
	
	RX1015 = Round(RX1015, 3)
	RY1015 = Round(RY1015, 3)
	
	''''''''''''''''''''''''''
	dim SX1016
	SX1016 = 7.910 +RX10-RC10
	dim SY1016
	SY1016 = 5.140 +RY10-RC10
	dim RX1016	
	RX1016 = SX1016
	dim RY1016
	RY1016 = SY1016
	
	RX1016 = (SX1016*cos(RT10) - SY1016*sin(RT10) )
	RX1016 = (RX1016  + RXC10 + BX10)
	RY1016 = (SX1016*sin(RT10) + SY1016*cos(RT10) )
	RY1016 = (RY1016  + RYC10 + BY10)
	
	RX1016 = Round(RX1016, 3)
	RY1016 = Round(RY1016, 3)
	
	''''''''''''''''''''''''''
	
	dim SX1017
	SX1017 = 8.460 +RX10-RC10
	dim SY1017
	SY1017 = 5.220 +RY10-RC10
	dim RX1017	
	RX1017 = SX1017
	dim RY1017
	RY1017 = SY1017
	
	RX1017 = (SX1017*cos(RT10) - SY1017*sin(RT10) )
	RX1017 = (RX1017  + RXC10 + BX10)
	RY1017 = (SX1017*sin(RT10) + SY1017*cos(RT10) )
	RY1017 = (RY1017  + RYC10 + BY10)
	
	RX1017 = Round(RX1017, 3)
	RY1017 = Round(RY1017, 3)
	
	''''''''''''''''''''''''''
	dim SX1018
	SX1018 = 9.039 +RX10-RC10
	dim SY1018
	SY1018 = 5.336 +RY10-RC10
	dim RX1018	
	RX1018 = SX1018
	dim RY1018
	RY1018 = SY1018
	
	RX1018 = (SX1018*cos(RT10) - SY1018*sin(RT10) )
	RX1018 = (RX1018  + RXC10 + BX10)
	RY1018 = (SX1018*sin(RT10) + SY1018*cos(RT10) )
	RY1018 = (RY1018  + RYC10 + BY10)
	
	RX1018 = Round(RX1018, 3)
	RY1018 = Round(RY1018, 3)
	
	''''''''''''''''''''''''''
	
	dim SX1019
	SX1019 = 9.187 +RX10-RC10
	dim SY1019
	SY1019 = 5.365 +RY10-RC10
	dim RX1019	
	RX1019 = SX1019
	dim RY1019
	RY1019 = SY1019
	
	RX1019 = (SX1019*cos(RT10) - SY1019*sin(RT10) )
	RX1019 = (RX1019  + RXC10 + BX10)
	RY1019 = (SX1019*sin(RT10) + SY1019*cos(RT10) )
	RY1019 = (RY1019  + RYC10 + BY10)
	
	RX1019 = Round(RX1019, 3)
	RY1019 = Round(RY1019, 3)
	
	''''''''''''''''''''''''''
		
	Dim strg10
	strg10 = ""&vbCrLf& _
			"G00 X"&RX100&"Y"&RY100& vbCrLf _
			&M1& vbCrLf _
			&G1&""&RX101&"Y"&RY101& Vbcrlf _
			&G1&""&RX102&"Y"&RY102& Vbcrlf _
			&G1&""&RX103&"Y"&RY103& Vbcrlf _
			&G1&""&RX104&"Y"&RY104& vbCrLf _
			&G1&""&RX105&"Y"&RY105& vbCrLf _
			&G1&""&RX106&"Y"&RY106& vbCrLf _
			&G1&""&RX108&"Y"&RY108& vbCrLf _
			&G1&""&RX109&"Y"&RY109& vbCrLf _
			&G1&""&RX1010&"Y"&RY1010& vbCrLf _
			&G1&""&RX1011&"Y"&RY1011& vbCrLf _
			&G1&""&RX1012&"Y"&RY1012& vbCrLf _
			&G1&""&RX1013&"Y"&RY1013& vbCrLf _
			&G1&""&RX1014&"Y"&RY1014& vbCrLf _
			&G1&""&RX1015&"Y"&RY1015& vbCrLf _
			&G1&""&RX1016&"Y"&RY1016& vbCrLf _
			&G1&""&RX1017&"Y"&RY1017& vbCrLf _
			&G1&""&RX1018&"Y"&RY1018& vbCrLf _
			&G1&""&RX1019&"Y"&RY1019& vbCrLf _
			&M2&""&Vbcrlf& _
			""&Vbcrlf& _
			""
			

End If



'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   sqrd 12 string   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

If size = "sqrd12" then
	Dim RC12		'ROTATION CENTER (PART INSCRIBED RADIUS)
	RC12 = 6.4551
	dim RX12		'Pre rotation X extents correction (to X0.0)
	RX12 = 0.3656
	dim RY12		'Pre rotation Y extents correction (to Y0.0)
	RY12 = 4.3735
	
	Dim RXC12	'Post rotation X extents correction (to X0.0)
	Dim RYC12	'Post rotation Y extents correction (to Y0.0)
	Dim RT12	'Rotation angle  (RADIANS)
	Dim n12		'loop control
	n12 = 0
	

		do
		RT12 = InputBox ("SQRD will be inserted ARC at Hour hand location", h1 + sp1 + "12sqrd", "12")
		Select Case RT12
	      Case "1"  RT12 = 5.759586
	     			RXC12 = RC12 - 0.141
	     			RYC12 = RC12 - 1.6
	      			n12 = 1
	      Case "2"  RT12 = 5.235987
	      			RXC12 = RC12 - 1.608
	      			RYC12 = RC12 - 0.127
	      			n12 = 1
	      Case "3"  RT12 = 4.712388
	      			RXC12 = RC12 - 4.373
	      			RYC12 = RC12 - 0.350
	      			n12 = 1
	      Case "4"  RT12 = 4.188790
	      			RXC12 = RC12 - 1.6
	      			RYC12 = RC12 - 0.033
	      			n12 = 1
	      Case "5"  RT12 = 3.665191
	      			RXC12 = RC12 - 0.127
	      			RYC12 = RC12 - 0.117
	      			n12 = 1
	      Case "6"  RT12 = 3.141592
	      			RXC12 = RC12 - 0.35
	      			RYC12 = RC12 - 1.834
	      			n12 = 1
	      Case "7"  RT12 = 2.617993
	      			RXC12 = RC12 - 0.033
	      			RYC12 = RC12 - 0.307
	      			n12 = 1
	      Case "8"  RT12 = 2.094395
	      			RXC12 = RC12 - 0.117
	      			RYC12 = RC12 - 0.184
	      			n12 = 1
	      Case "9"  RT12 = 1.570796
	      			RXC12 = RC12 - 1.834
	      			RYC12 = RC12 - 0.366
	      			n12 = 1
	      Case "10" RT12 = 1.047197
	      			RXC12 = RC12 - 0.307
	      			RYC12 = RC12 - 0.141
	      			n12 = 1
	      Case "11" RT12 = 0.523598 
	      			RXC12 = RC12 - 0.184
	      			RYC12 = RC12 - 1.608
	      			n12 = 1
	      Case "12" RT12 = 0
	      			RXC12 = RC12 - 0.3656
	      			RYC12 = RC12 - 4.3735
	      			n12 = 1
	      Case Else      MsgBox " Option Invalid Please Select ( Clock Hour Position )"
	      			
		End Select
		Loop Until n12 = 1

	
	
	Dim BX12		'base X coordinates
	BX12 = 0
	Dim BY12		'base Y coordinates
	BY12 = 0
	
	ncplot.ncpviewsetorientation 0		'Set top view
		
	Dim yn121	'yes/no message box
	Dim yn122	'yes/no message box
	Dim yn123	'yes/no message box
	
 	
		yn121 = msgbox (sp2 + "Do you want to add X,Y Coordinates now ?" + sp2, 4, "12sqrd")

	
	
		If yn121 = 6 Then
			yn122 = MsgBox ( "Origin point is bottom left", ,h2 )
			BX12 = InputBox ("Input X Coordinate ", h1 + sp1 + vn, "2.23")
			BY12 = InputBox ("Input Y Coordinate ", h1 + sp1 + vn, "2.23")
		ElseIf yn121 = 7 Then
					yn123 = msgbox (sp2 + "Do you want to pick points in plot window ?" + sp2, 4, h1)
						If yn123 = 6 Then 
							ncplot.ncppickpoint BX12, BY12,, "Select base point"		' Wait for points to be clicked and returns coordinates
						ElseIf yn123 = 7 Then 
						End If
		End If
	
	BY12 = Round(BY12, 3)
	BX12 = Round(BX12, 3)
	
	dim SX120				'Static X coordinates set 0 (S = Static, X = X, 12 = 12"sqrd, 0 = line set 0)
	SX120 = 10.762+RX12-RC12
	dim SY120				'Static Y coordinates set 0 (S = Static, Y = Y, 12 = 12"sqrd, 0 = line set 0)
	SY120 = 6.703+RY12-RC12
	dim RX120				'Rotated X coordinates set 0 (R = Rotated, X = X, 12 = 12"sqrd, 0 = line set 0)
	RX120 = SX120
	dim RY120				'Rotated Y coordinates set 0 (R = Rotated, Y = Y, 12 = 12"sqrd, 0 = line set 0)
	RY120 = SY120
	
	RX120 = (SX120*Cos(RT12) - SY120*Sin(RT12) )
	RX120 = (RX120  + RXC12 + BX12)
	RY120 = (SX120*sin(RT12) + SY120*cos(RT12) )
	RY120 = (RY120  + RYC12 + BY12)
	
	RX120 = Round(RX120, 3)
	RY120 = Round(RY120, 3)
	
	''''''''''''''''''''''''''
	dim SX121
	SX121 = 10.815 +RX12-RC12
	dim SY121
	SY121 = 6.459 +RY12-RC12
	dim RX121	
	RX121 = SX121
	dim RY121
	RY121 = SY121
	
	RX121 = (SX121*cos(RT12) - SY121*sin(RT12) )
	RX121 = (RX121  + RXC12 + BX12)
	RY121 = (SX121*sin(RT12) + SY121*cos(RT12) )
	RY121 = (RY121  + RYC12 + BY12)
	
	RX121 = Round(RX121, 3)
	RY121 = Round(RY121, 3)
	
	''''''''''''''''''''''''''
	dim SX122
	SX122 = 12.195 +RX12-RC12
	dim SY122
	SY122 = 0.0 +RY12-RC12
	dim RX122	
	RX122 = SX122
	dim RY122
	RY122 = SY122
	
	RX122 = (SX122*cos(RT12) - SY122*sin(RT12) )
	RX122 = (RX122  + RXC12 + BX12)
	RY122 = (SX122*sin(RT12) + SY122*cos(RT12) )
	RY122 = (RY122  + RYC12 + BY12)
	
	RX122 = Round(RX122, 3)
	RY122 = Round(RY122, 3)
	
	''''''''''''''''''''''''''
	dim SX123
	SX123 = 0.0 +RX12-RC12
	dim SY123
	SY123 = 0.0 +RY12-RC12
	dim RX123	
	RX123 = SX123
	dim RY123
	RY123 = SY123
	
	RX123 = (SX123*cos(RT12) - SY123*sin(RT12) )
	RX123 = (RX123  + RXC12 + BX12)
	RY123 = (SX123*sin(RT12) + SY123*cos(RT12) )
	RY123 = (RY123  + RYC12 + BY12)
	
	RX123 = Round(RX123, 3)
	RY123 = Round(RY123, 3)
	
	''''''''''''''''''''''''''
	dim SX124
	SX124 = 1.375 +RX12-RC12
	dim SY124
	SY124 = 6.459 +RY12-RC12
	dim RX124	
	RX124 = SX124
	dim RY124
	RY124 = SY124
	
	RX124 = (SX124*cos(RT12) - SY124*sin(RT12) )
	RX124 = (RX124  + RXC12 + BX12)
	RY124 = (SX124*sin(RT12) + SY124*cos(RT12) )
	RY124 = (RY124  + RYC12 + BY12)
	
	RX124 = Round(RX124, 3)
	RY124 = Round(RY124, 3)
	
	''''''''''''''''''''''''''
	dim SX125
	SX125 = 1.999 +RX12-RC12
	dim SY125
	SY125 = 6.340 +RY12-RC12
	dim RX125	
	RX125 = SX125
	dim RY125
	RY125 = SY125
	
	RX125 = (SX125*cos(RT12) - SY125*sin(RT12) )
	RX125 = (RX125  + RXC12 + BX12)
	RY125 = (SX125*sin(RT12) + SY125*cos(RT12) )
	RY125 = (RY125  + RYC12 + BY12)
	
	RX125 = Round(RX125, 3)
	RY125 = Round(RY125, 3)
	
	''''''''''''''''''''''''''
	dim SX126
	SX126 = 2.579 +RX12-RC12
	dim SY126
	SY126 = 6.251 +RY12-RC12
	dim RX126	
	RX126 = SX126
	dim RY126
	RY126 = SY126
	
	RX126 = (SX126*cos(RT12) - SY126*sin(RT12) )
	RX126 = (RX126  + RXC12 + BX12)
	RY126 = (SX126*sin(RT12) + SY126*cos(RT12))
	RY126 = (RY126  + RYC12 + BY12)
	
	RX126 = Round(RX126, 3)
	RY126 = Round(RY126, 3)
	
	''''''''''''''''''''''''''
	dim SX127
	SX127 = 3.159 +RX12-RC12
	dim SY127
	SY127 = 6.181 +RY12-RC12
	dim RX127	
	RX127 = SX127
	dim RY127
	RY127 = SY127
	 
	RX127 = (SX127*cos(RT12) - SY127*sin(RT12) )
	RX127 = (RX127  + RXC12 + BX12)
	RY127 = (SX127*sin(RT12) + SY127*cos(RT12) )
	RY127 = (RY127  + RYC12 + BY12)
	
	RX127 = Round(RX127, 3)
	RY127 = Round(RY127, 3)
	
	''''''''''''''''''''''''''
	dim SX128
	SX128 = 3.749 +RX12-RC12
	dim SY128
	SY128 = 6.131 +RY12-RC12
	dim RX128	
	RX128 = SX128
	dim RY128
	RY128 = SY128
	
	RX128 = (SX128*cos(RT12) - SY128*sin(RT12) )
	RX128 = (RX128  + RXC12 + BX12)
	RY128 = (SX128*sin(RT12) + SY128*cos(RT12) )
	RY128 = (RY128  + RYC12 + BY12)
	
	RX128 = Round(RX128, 3)
	RY128 = Round(RY128, 3)
	
	''''''''''''''''''''''''''
	dim SX129
	SX129 = 4.339 +RX12-RC12
	dim SY129
	SY129 = 6.101 +RY12-RC12
	dim RX129	
	RX129 = SX129
	dim RY129
	RY129 = SY129
	
	RX129 = (SX129*cos(RT12) - SY129*sin(RT12) )
	RX129 = (RX129  + RXC12 + BX12)
	RY129 = (SX129*sin(RT12) + SY129*cos(RT12))
	RY129 = (RY129  + RYC12 + BY12)
	
	RX129 = Round(RX129, 3)
	RY129 = Round(RY129, 3)
	
	''''''''''''''''''''''''''
	dim SX1210
	SX1210 = 4.929 +RX12-RC12
	dim SY1210
	SY1210 = 6.081 +RY12-RC12
	dim RX1210	
	RX1210 = SX1210
	dim RY1210
	RY1210 = SY1210
	
	RX1210 = (SX1210*cos(RT12) - SY1210*sin(RT12) )
	RX1210 = (RX1210  + RXC12 + BX12)
	RY1210 = (SX1210*sin(RT12) + SY1210*cos(RT12) ) 
	RY1210 = (RY1210  + RYC12 + BY12)
	
	RX1210 = Round(RX1210, 3)
	RY1210 = Round(RY1210, 3)
	
	''''''''''''''''''''''''''
	dim SX1211
	SX1211 = 5.519 +RX12-RC12
	dim SY1211
	SY1211 = 6.081 +RY12-RC12
	dim RX1211	
	RX1211 = SX1211
	dim RY1211
	RY1211 = SY1211
	
	RX1211 = (SX1211*cos(RT12) - SY1211*sin(RT12) )
	RX1211 = (RX1211  + RXC12 + BX12)
	RY1211 = (SX1211*sin(RT12) + SY1211*cos(RT12) )
	RY1211 = (RY1211  + RYC12 + BY12)
	
	RX1211 = Round(RX1211, 3)
	RY1211 = Round(RY1211, 3)
	
	''''''''''''''''''''''''''
	dim SX1212
	SX1212 = 6.109 +RX12-RC12
	dim SY1212
	SY1212 = 6.081 +RY12-RC12
	dim RX1212	
	RX1212 = SX1212
	dim RY1212
	RY1212 = SY1212
	
	RX1212 = (SX1212*cos(RT12) - SY1212*sin(RT12) )
	RX1212 = (RX1212  + RXC12 + BX12)
	RY1212 = (SX1212*sin(RT12) + SY1212*cos(RT12) )
	RY1212 = (RY1212  + RYC12 + BY12)
	
	RX1212 = Round(RX1212, 3)
	RY1212 = Round(RY1212, 3)
	
	''''''''''''''''''''''''''
	dim SX1213
	SX1213 = 6.689 +RX12-RC12
	dim SY1213
	SY1213 = 6.081 +RY12-RC12
	dim RX1213	
	RX1213 = SX1213
	dim RY1213
	RY1213 = SY1213 
	
	RX1213 = (SX1213*cos(RT12) - SY1213*sin(RT12) )
	RX1213 = (RX1213  + RXC12 + BX12)
	RY1213 = (SX1213*sin(RT12) + SY1213*cos(RT12) )
	RY1213 = (RY1213  + RYC12 + BY12)
	
	RX1213 = Round(RX1213, 3)
	RY1213 = Round(RY1213, 3)
	
	''''''''''''''''''''''''''
	dim SX1214
	SX1214 = 7.279 +RX12-RC12
	dim SY1214
	SY1214 = 6.081 +RY12-RC12
	dim RX1214	
	RX1214 = SX1214
	dim RY1214
	RY1214 = SY1214 
	
	RX1214 = (SX1214*cos(RT12) - SY1214*sin(RT12) )
	RX1214 = (RX1214  + RXC12 + BX12)
	RY1214 = (SX1214*sin(RT12) + SY1214*cos(RT12) )
	RY1214 = (RY1214  + RYC12 + BY12)
	
	RX1214 = Round(RX1214, 3)
	RY1214 = Round(RY1214, 3)
	
	''''''''''''''''''''''''''
	dim SX1215
	SX1215 = 7.869 +RX12-RC12
	dim SY1215
	SY1215 = 6.102 +RY12-RC12
	dim RX1215	
	RX1215 = SX1215
	dim RY1215
	RY1215 = SY1215
	
	RX1215 = (SX1215*cos(RT12) - SY1215*sin(RT12) )
	RX1215 = (RX1215  + RXC12 + BX12)
	RY1215 = (SX1215*sin(RT12) + SY1215*cos(RT12) )
	RY1215 = (RY1215  + RYC12 + BY12)
	
	RX1215 = Round(RX1215, 3)
	RY1215 = Round(RY1215, 3)
	
	''''''''''''''''''''''''''
	dim SX1216
	SX1216 = 8.459 +RX12-RC12
	dim SY1216
	SY1216 = 6.132 +RY12-RC12
	dim RX1216	
	RX1216 = SX1216
	dim RY1216
	RY1216 = SY1216
	
	RX1216 = (SX1216*cos(RT12) - SY1216*sin(RT12) )
	RX1216 = (RX1216  + RXC12 + BX12)
	RY1216 = (SX1216*sin(RT12) + SY1216*cos(RT12) )
	RY1216 = (RY1216  + RYC12 + BY12)
	
	RX1216 = Round(RX1216, 3)
	RY1216 = Round(RY1216, 3)
	
	''''''''''''''''''''''''''
	
	dim SX1217
	SX1217 = 9.049 +RX12-RC12
	dim SY1217
	SY1217 = 6.182 +RY12-RC12
	dim RX1217	
	RX1217 = SX1217
	dim RY1217
	RY1217 = SY1217
	
	RX1217 = (SX1217*cos(RT12) - SY1217*sin(RT12) )
	RX1217 = (RX1217  + RXC12 + BX12)
	RY1217 = (SX1217*sin(RT12) + SY1217*cos(RT12) )
	RY1217 = (RY1217  + RYC12 + BY12)
	
	RX1217 = Round(RX1217, 3)
	RY1217 = Round(RY1217, 3)
	
	''''''''''''''''''''''''''
	dim SX1218
	SX1218 = 9.629 +RX12-RC12
	dim SY1218
	SY1218 = 6.252 +RY12-RC12
	dim RX1218	
	RX1218 = SX1218
	dim RY1218
	RY1218 = SY1218
	
	RX1218 = (SX1218*cos(RT12) - SY1218*sin(RT12) )
	RX1218 = (RX1218  + RXC12 + BX12)
	RY1218 = (SX1218*sin(RT12) + SY1218*cos(RT12) )
	RY1218 = (RY1218  + RYC12 + BY12)
	
	RX1218 = Round(RX1218, 3)
	RY1218 = Round(RY1218, 3)
	
	''''''''''''''''''''''''''
	
	dim SX1219
	SX1219 = 10.209 +RX12-RC12
	dim SY1219
	SY1219 = 6.342 +RY12-RC12
	dim RX1219	
	RX1219 = SX1219
	dim RY1219
	RY1219 = SY1219
	
	RX1219 = (SX1219*cos(RT12) - SY1219*sin(RT12) )
	RX1219 = (RX1219  + RXC12 + BX12)
	RY1219 = (SX1219*sin(RT12) + SY1219*cos(RT12) )
	RY1219 = (RY1219  + RYC12 + BY12)
	
	RX1219 = Round(RX1219, 3)
	RY1219 = Round(RY1219, 3)
	
	''''''''''''''''''''''''''

	dim SX1220
	SX1220 = 10.815 +RX12-RC12
	dim SY1220
	SY1220 = 6.459 +RY12-RC12
	dim RX1220	
	RX1220 = SX1220
	dim RY1220
	RY1220 = SY1220
	
	RX1220 = (SX1220*cos(RT12) - SY1220*sin(RT12) )
	RX1220 = (RX1220  + RXC12 + BX12)
	RY1220 = (SX1220*sin(RT12) + SY1220*cos(RT12) )
	RY1220 = (RY1220  + RYC12 + BY12)
	
	RX1220 = Round(RX1220, 3)
	RY1220 = Round(RY1220, 3)
	
	''''''''''''''''''''''''''
	
	dim SX1221
	SX1221 = 10.962 +RX12-RC12
	dim SY1221
	SY1221 = 6.487 +RY12-RC12
	dim RX1221	
	RX1221 = SX1221
	dim RY1221
	RY1221 = SY1221
	
	RX1221 = (SX1221*cos(RT12) - SY1221*sin(RT12) )
	RX1221 = (RX1221  + RXC12 + BX12)
	RY1221 = (SX1221*sin(RT12) + SY1221*cos(RT12) )
	RY1221 = (RY1221  + RYC12 + BY12)
	
	RX1221 = Round(RX1221, 3)
	RY1221 = Round(RY1221, 3)
	
	''''''''''''''''''''''''''
	

	Dim strg12
	strg12 = ""&vbCrLf& _
			"G00 X"&RX120&"Y"&RY120& vbCrLf _
			&M1& vbCrLf _
			&G1&""&RX121&"Y"&RY121& Vbcrlf _
			&G1&""&RX122&"Y"&RY122& Vbcrlf _
			&G1&""&RX123&"Y"&RY123& Vbcrlf _
			&G1&""&RX124&"Y"&RY124& vbCrLf _
			&G1&""&RX125&"Y"&RY125& vbCrLf _
			&G1&""&RX126&"Y"&RY126& vbCrLf _
			&G1&""&RX128&"Y"&RY128& vbCrLf _
			&G1&""&RX129&"Y"&RY129& vbCrLf _
			&G1&""&RX1210&"Y"&RY1210& vbCrLf _
			&G1&""&RX1211&"Y"&RY1211& vbCrLf _
			&G1&""&RX1212&"Y"&RY1212& vbCrLf _
			&G1&""&RX1213&"Y"&RY1213& vbCrLf _
			&G1&""&RX1214&"Y"&RY1214& vbCrLf _
			&G1&""&RX1215&"Y"&RY1215& vbCrLf _
			&G1&""&RX1216&"Y"&RY1216& vbCrLf _
			&G1&""&RX1217&"Y"&RY1217& vbCrLf _
			&G1&""&RX1218&"Y"&RY1218& vbCrLf _
			&G1&""&RX1219&"Y"&RY1219& vbCrLf _
			&G1&""&RX1220&"Y"&RY1220& vbCrLf _
			&G1&""&RX1221&"Y"&RY1221& vbCrLf _
			&M2&""&Vbcrlf& _
			""&Vbcrlf& _
			""
			
			

End If


'%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Dim strg1

If size = "sqrd6" Then 
		strg1 = strg6
	ElseIf size = "sqrd8" Then 
		strg1 = strg8
	ElseIf size = "sqrd10" Then 
		strg1 = strg10
	ElseIf size = "sqrd12" Then 
		strg1 = strg12
End If 

Dim bt1		'body text 1
bt1 = "        Do you want to insert text at current position ?         " &Vbcrlf& _
	  ""&Vbcrlf& _
 	  "        If no then text will be inserted at end of program       "&Vbcrlf& _
	  ""
Dim bt2		'body text 2
bt2 = "        Insert as nc format ?         " &Vbcrlf& _
	  ""&Vbcrlf& _
 	  "        If no then text will be inserted as cnc format.      "&Vbcrlf& _
	  ""	 
	  
Dim flp		'footer line position
Dim instpt	'insert sqrd		
instpt = msgbox( bt1 , 4, h2)

Dim frmt	'format string
frmt = msgbox( bt2 , 4, h2)

Dim pend		'Program End
If frmt = 6 Then
		pend = "%"
		ncplot.ncpreplaceall "%",  "" 		
		ElseIf frmt = 7 Then 
		pend = "M02"
		ncplot.ncpreplaceall "M02",  "" 
End if

If instpt = 7 Then
		strg1 = (strg1 + pend)
		flp = ncplot.ncpgetlineindex(ncplot.ncpgetnumlines -1) 	
		ncplot.ncpsetselection flp,0 &Vbcrlf& ""
		ncplot.ncpinserttext strg1 
	ElseIf instpt = 6 Then
		ncplot.ncpgetlineindex 0 &Vbcrlf& ""
		ncplot.ncpinserttext strg1
End If 

If frmt = 6 Then 
	 	ncplot.ncpsetselection 0,0 		'header line position
		ncplot.ncpinserttext "%"
		ElseIf frmt = 7 Then 
		End If
		
If frmt = 6 Then		
		ncplot.ncpreplaceall "M11", "M98P8203"
		ncplot.ncpreplaceall "M21", "M98P8010"
ElseIf frmt = 7 Then
End If 


NCPlot.NCPColorize
ncplot.ncpplot
ncplot.ncpviewzoomextents

Dim nd		'end
nd = MsgBox( "Script has finished" , 0)