'
'	PAT'S NCPlot Script
'	Godzilla
'	Insert AIF Header/Footer v2.0
'	tested in ncplot v2.20
'
'	Use this script for nc1 formated Angle Iron Flanges laser files
'	Use AIF part footer.vbs at end of each part for jig offset
'
'	This script will insert notes, Program Header(machine state),
'	Footer, convert sub calls for laser on/off, and Clean up program.
'	All processes have the option to skip by clicking the No 
'	button on message box for that process.
'	
'
'===================================== Program Notes String  ============================================= 

Dim pi       'Programmers Initials	
pi = "PLC" '<<-----<-----<-----<-----<---- Change Initials Here for programmer <-----<-----<-----<-----<--

Dim vn		 'version
vn = "v2.0"	 

Dim sp1		 'input box header spacing
sp1 = "                       "
Dim sp2		 'msgbox spacing
sp2 = "        " 
Dim h1       'inputbox header
h1 = "Godzilla AIF Header/Footer" 

Dim h2	     'Program note header
h2 = "Program Note:" 

Dim h3		 'Option header
h3 = "Option:" 
   
Dim bt1       'body text (ok1 msgbox)
bt1 = "        Program ...." &Vbcrlf& _
	  ""&Vbcrlf& _
 	  "        Short length Angle Iron in the Front 2 postions and        "&Vbcrlf& _
	  ""&Vbcrlf& _
	  "        Long length Angle Iron in the Rear 2 postions              "&Vbcrlf& _
	  ""&Vbcrlf& _
	  ""
	  
Dim yn1      'yes/no msgbox  (add notes)
Dim yn2      'yes/no msgbox  (angle iron same length)
Dim ok1      'ok msgbox  (programing note:)

Dim ptnam    'Part Name
Dim aifsz    'Size of Angle Iron
Dim aifthk   'Angle Iron thickness
Dim aiflth   'Length Of Angle Iron
Dim cunam    'customer name
Dim lng      'long AIF
Dim Shrt     'short AIF

Dim strg1	 'if string #1
Dim strg2	 'if string #2
Dim strg3	 'if string #3


yn1 = msgbox (sp2 + "Do you want to add notes now ?" + sp2, 4, h3)

If yn1 = 6 Then	
	ptnam = InputBox ("File Name", h1 + sp1 + vn, "12SQ-AIF-LASER")
	ptnam = UCase(ptnam)
	aifsz = InputBox ("Size of Angle Iron", h1 + sp1 + vn, "1 1/2")
	aifthk = InputBox ("Angle Iron thickness", h1 + sp1 + vn, "3/16")
   yn2 = msgbox (sp2 + "Are All 4-pcs Of Angle the Same length ?" + sp2, 4, h3)

			If yn2 = 6 Then 
				aiflth = InputBox ("Length of Angle Iron", h1 + sp1 + vn, "13.625")
 	 		Elseif yn2 = 7 Then
				ok1 = msgbox (bt1, ,h2)
 				shrt = InputBox ("Length of Short Pcs", h1 + sp1 + vn, "Short Length")
				lng = InputBox ("Length of Long Pcs", h1 + sp1 + vn, "Long Length")
			End If

			cunam = InputBox ("Customer Name", h1 + sp1 + vn, "Suck Ass Farms")
			
				If cunam = "Suck Ass Farms" Then 
				cunam = ""
				End If 
				
			cunam = UCase(cunam)
			strg1 = "("&ptnam&")" &Vbcrlf& _
			        "("&aifsz&" x "&aifsz&" x "&aifthk&")" 
			        
						If yn2 = 6 Then
							strg2 = "(4-Pcs. "&aiflth&" Long Angle Iron)"
  						Elseif yn2 = 7 Then
					   		strg2 = "(2-Pcs. "&shrt&" Load Front 2)" &Vbcrlf& _
					   	            "(2-Pcs. "&lng&" Load Rear 2)"
						End If 
						
						strg3 = "("&(FormatDateTime(Date,2))&"-"&pi&")" &Vbcrlf& _
						        "("&cunam&")"						        									
ElseIf yn1 = 7 Then
	strg1 = "" 
	strg2 = ""
	strg3 = "" 
End If

'==================================   Get Header String  =================================================

Dim hdpn	 'header(program notes string)

If yn1 = 6 Then
	hdpn = (vbCrLf + strg1 + vbCrLf + strg2 + vbCrLf + strg3 + vbCrLf)
ElseIf yn1 = 7 Then 
	hdpn = ""
End If

Dim yn3      'yes/no msgbox  (add program header)
yn3 = msgbox (sp2 + "Do you want to add program Header now ?" + sp2, 4, h3)

Dim strg4	 'if string #4	
If yn3 = 6 Then 
	strg4 = "" &Vbcrlf& _
		    "G20" &Vbcrlf& _
		    "G54" &Vbcrlf& _
		    "M98(C:\AIFJIG.NC)" &Vbcrlf& _
		    "G92X0.Y0." &Vbcrlf& _
		    "G90" &vbCrLf& _
		    ""&Vbcrlf& _
		    "G0X0.0Y4.5" &Vbcrlf& _
 		    "G92X.0Y.0" 
ElseIf yn3 = 7 Then 
	strg4 =  ""		
End If

Dim prhd		'header (program Machine state string)

If yn3 = 6 Then
	prhd = (strg4 + vbCrLf + vbCrLf)
ElseIf yn3 = 7 Then
	prhd = ""
End If
 
 
 '============================  Get Part Footer layout templat String  ===================================
 
Dim yn4      'yes/no msgbox  (add part layout template )

If yn3 = 6 Then
	yn4 = msgbox (sp2 + "Do you want to add Part layout now ?" + sp2, 4, h3)
	
	If yn4 = 6 then 
		strg5 =	"(INSERT G91 PART HERE)"&Vbcrlf& _
				""&Vbcrlf& _
				""&Vbcrlf& _
				"G00X0.0Y4.5" &Vbcrlf& _
				"G92X0.0Y0.0" &Vbcrlf& _
				""&Vbcrlf& _
				""&Vbcrlf& _
				"(INSERT G91 PART HERE)"&Vbcrlf& _
				""&Vbcrlf& _
				""&Vbcrlf& _
				"G00X0.0Y4.5" &Vbcrlf& _
				"G92X0.0Y0.0" &Vbcrlf& _
				""&Vbcrlf& _
				""&Vbcrlf& _
				"(INSERT G91 PART HERE)"&Vbcrlf& _
				""&Vbcrlf& _
				""&Vbcrlf& _
				"G00X0.0Y4.5" &Vbcrlf& _
				"G92X0.0Y0.0" &Vbcrlf& _
				""&Vbcrlf& _
				""&Vbcrlf& _
				"(INSERT G91 PART HERE)"&Vbcrlf& _
				""&Vbcrlf& _
				""&Vbcrlf& _
				""
	 ElseIf yn4 = 7 Then 
	 	strg5 =""
	 End If
	 
ElseIf yn3 = 7 Then
	strg5 =""
	yn4 = 7
End If  	
 
 
'=====================================   Get Footer String  ==============================================

Dim yn5			'yes/no footer msgbox
yn5 = msgbox(sp2 + "Do you want to add program Footer now ?" + sp2, 4, h3)

Dim strg6		'footer string
If yn5 = 6 then
	strg6 = "M98(C:\AIFUNLOAD.NC)"&Vbcrlf& _
	        "G00X0.0Y-18.0"&Vbcrlf& _
	        "M30"
ElseIf yn5 = 7 Then
	strg6 = ""
End If 

Dim footer		'footer	
If yn5 = 6 Then
	footer = (vbCrLf + strg6 + vbCrLf)
ElseIf yn5 = 7 Then
	footer = ""
End If 

'===================================  Prevent Duplicate String  =======================================

If yn3 = 6 Then 
	ncplot.ncpreplaceall "G20" ,""
 	ncplot.ncpreplaceall "G54" ,""
 	ncplot.ncpreplaceall "M98(C:\AIFJIG.NC)","" 
 	ncplot.ncpreplaceall "M98 (C:\AIFJIG.NC)",""
    ncplot.ncpreplaceall "G92X0.Y0.",""
    ncplot.ncpreplaceall "G92 X0. Y0.",""
   
		If yn4 = 7 Then
			ncplot.ncpreplaceall "G90" ,""
			ncplot.ncpreplaceall "G91" ,"" &Vbcrlf& "G91"
		ElseIf yn4 = 6 Then 
		End if	
   		
    ncplot.ncpreplaceall "G0X0.0Y4.5","" 
    ncplot.ncpreplaceall "G0 X0.0 Y4.5","" 
    ncplot.ncpreplaceall "G92 X.0 Y.0",""
    ncplot.ncpreplaceall "G92X.0Y.0",""
ElseIf yn3 = 7 Then
End If 

If yn4 = 6 Then
	ncplot.ncpreplaceall "(INSERT G91 PART HERE)",""
	ncplot.ncpreplaceall "G00X0.0Y4.5",""
	ncplot.ncpreplaceall "G00 X0.0 Y4.5",""
	ncplot.ncpreplaceall "G92X0.0Y0.0",""
	ncplot.ncpreplaceall "G92 X0.0 Y0.0",""
ElseIf yn4 = 7 Then
End if
	
If yn5 = 6 Then
	ncplot.ncpreplaceall"M98(C:\AIFUNLOAD.NC)", ""
	ncplot.ncpreplaceall"M98 (C:\AIFUNLOAD.NC)", ""
	ncplot.ncpreplaceall"G00X0.0Y-18.0", ""
	ncplot.ncpreplaceall"G00 X0.0 Y-18.0", ""
	ncplot.ncpreplaceall"M30", ""	
ElseIf yn5 = 7 Then
End If 


'===================================  Insert Header/Footer String  =======================================


Dim header		'header
header = (hdpn + prhd + strg5)

ncplot.ncpsetselection 0,0 		'header line position
ncplot.ncpinserttext header

Dim flp			'footer line position
flp = ncplot.ncpgetlineindex(ncplot.ncpgetnumlines -1)

ncplot.ncpsetselection flp,0 &Vbcrlf& ""
ncplot.ncpinserttext footer 

NCPlot.NCPPlot
NCPlot.NCPColorize

'======================================  Convert subs string  ============================================

Dim yn6			'yes/no convert sub msgbox
yn6 = msgbox(sp2 + "Do you want to Convert subroutines now?" + sp2, 4, h3)

If yn6 = 6 Then 
	ncplot.ncpreplaceall "M98P8203", "M98(C:\AIFON.NC)"
	ncplot.ncpreplaceall "M98P8010", "M98(C:\AIFOFF.NC)"
ElseIf yn6 = 7 Then
End If 

NCPlot.NCPPlot
NCPlot.NCPColorize

'========================================  Cleanup program string  =======================================

Dim yn7			'yes/no convert sub msgbox
yn7 = msgbox(sp2 + "Do you want to Cleanup Program now?" + sp2, 4, h3)

If yn7 = 6 Then 
	ncplot.ncpreplaceall "M99", ""
 	ncplot.ncpreplaceall "O4700", ""
 	ncplot.ncpreplaceall "O4701", ""
 	ncplot.ncpreplaceall "O4702", ""
	ncplot.ncpreplaceall "%", ""
	ncplot.ncpreplaceall "()", ""
	ncplot.ncpreplaceall "( x  x )", ""
	ncplot.ncpreplaceall "(2-Pcs.  Load Front 2)", ""
	ncplot.ncpreplaceall "(2-Pcs.  Load Rear 2)", ""
	ncplot.ncpreplaceall "(4-Pcs.  Long Angle Iron)", ""
	ncplot.ncpreplaceall "(ADD NOTES HERE)", "" &Vbcrlf& ""
	ncplot.ncpreplaceall "(ADD HEADER HERE)", "" &Vbcrlf& ""
	ncplot.ncpreplaceall "(ADD FOOTER HERE)", "" &Vbcrlf& ""
	
		If yn4 = 7 Then
			ncplot.ncpreplaceall "(INSERT G91 PART HERE)",""
				If yn3 = 6 then
					ncplot.ncpreplaceall "G00 X0.0 Y4.5", "G90" &Vbcrlf& "" &Vbcrlf& "G00 X0.0 Y4.5" 
					ncplot.ncpreplaceall "G00X0.0Y4.5", "G90" &Vbcrlf& "" &Vbcrlf& "G00 X0.0 Y4.5" 
					ncplot.ncpreplaceall "M98(C:\AIFUNLOAD.NC)", "G90" &Vbcrlf& "" &Vbcrlf& "M98(C:\AIFUNLOAD.NC)"
					ncplot.ncpreplaceall "M98 (C:\AIFUNLOAD.NC)", "G90" &Vbcrlf& "" &Vbcrlf& "M98(C:\AIFUNLOAD.NC)"	
								
				ElseIf yn3 =7 Then
				End if
		ElseIf yn4 = 6 Then
		End If 
		
		If yn4 = 6 Then 
			ncplot.ncpreplaceall "G91" ,"" &Vbcrlf& "G91"
			ncplot.ncpreplaceall "(INSERT " ,""
		ElseIf yn4 = 7 Then
		End if
		
	ncplot.ncpRemoveBlankLines
	
		If yn4 = 6 Then 
			ncplot.ncpreplaceall "G91" ,"" &Vbcrlf& "G91"
			ncplot.ncpreplaceall "G91 PART HERE)" ,"(INSERT G91 PART HERE)"
		ElseIf yn4 = 7 Then
		End If
		
	ncplot.ncpreplaceall "G20", "" &Vbcrlf& "G20"

	NCPlot.NCPAddSpaces

		

	ncplot.ncpreplaceall "M98 ", "M98"
	ncplot.ncpreplaceall "G00 X0.0 Y4.5", "" &Vbcrlf& "" &Vbcrlf& "G00 X0.0 Y4.5" 	
	ncplot.ncpreplaceall "G92 X0.0 Y0.0", "G92 X0.0 Y0.0" &Vbcrlf& "" &Vbcrlf& ""
	ncplot.ncpreplaceall "G92 X.0 Y.0", "G92 X.0 Y.0" &Vbcrlf& "" &Vbcrlf& ""
	ncplot.ncpreplaceall "M98(C:\AIFUNLOAD.NC)", "" &Vbcrlf& "" &Vbcrlf& "M98(C:\AIFUNLOAD.NC)"
		
'		If yn4 = 6 Then 
'			ncplot.ncpreplaceall "G91" ,"" &Vbcrlf& "G91"
'		ElseIf yn4 = 7 Then
'		End if

ElseIf yn7 = 7 Then

 			If yn3 = 6 then
				ncplot.ncpreplaceall "G00 X0.0 Y4.5", "G90" &Vbcrlf& "" &Vbcrlf& "G00 X0.0 Y4.5" 
				ncplot.ncpreplaceall "G00X0.0Y4.5", "G90" &Vbcrlf& "" &Vbcrlf& "G00 X0.0 Y4.5" 
				ncplot.ncpreplaceall "M98(C:\AIFUNLOAD.NC)", "G90" &Vbcrlf& "" &Vbcrlf& "M98(C:\AIFUNLOAD.NC)"
				ncplot.ncpreplaceall "M98 (C:\AIFUNLOAD.NC)", "G90" &Vbcrlf& "" &Vbcrlf& "M98(C:\AIFUNLOAD.NC)"
			ElseIf yn3 =7 Then
			End if

End If 


NCPlot.NCPPlot
NCPlot.NCPColorize

Dim nd
nd = MsgBox(sp2 + sp2 + "Script has finished" + sp2, 0, h1)