'
'	PAT'S NCPlot Script
'	Godzilla
'	Insert AIF template v2.0 
'	tested in ncplot v2.20
'
'	Use this script for nc1 formated Angle Iron Flanges laser files
'	Use AIF part footer.vbs at end of each part for jig offset
'
'	This script will insert notes, Program Header(machine state),
'	Footer, convert sub calls for laser on/off, and Clean up program.
'	All processes have the option to skip by clicking the No 
'	button on message box for that process.
'	
'
'===================================== Program Notes String  ============================================= 

Dim pi       'Programmers Initials	
pi = "PLC" '<<-----<-----<-----<-----<---- Change Initials Here for programmer <-----<-----<-----<-----<--

Dim vn		 'version
vn = "v2.0"	 

Dim yn1      'yes/no msgbox  (add notes)
Dim yn2      'yes/no msgbox  (angle iron same length)
Dim ok1      'ok msgbox  (programing note:)

Dim ptnam    'Part Name
Dim aifsz    'Size of Angle Iron
Dim aifthk   'Angle Iron thickness
Dim aiflth   'Length Of Angle Iron
Dim cunam    'customer name
Dim lng      'long AIF
Dim Shrt     'short AIF

Dim sp1		 'input box header spacing
sp1 = "                                "
Dim sp2		 'msgbox spacing
sp2 = "        " 

Dim h1       'inputbox header
h1 = "Godzilla AIF Template" 
Dim h2	     'Program note header
h2 = "Program Note:" 
Dim h3		 'Option header
h3 = "Option:" 
   
Dim bt1       'body text (ok1 msgbox)
bt1 = "        Program ...." &Vbcrlf& _
	  ""&Vbcrlf& _
 	  "        Short length Angle Iron in the Front 2 postions and        "&Vbcrlf& _
	  ""&Vbcrlf& _
	  "        Long length Angle Iron in the Rear 2 postions              "&Vbcrlf& _
	  ""&Vbcrlf& _
	  ""

Dim strg1	 'string #1
Dim strg2	 'string #2
Dim strg3	 'string #3


yn1 = msgbox (sp2 + "Do you want to add notes now ?" + sp2, 4, h3)

If yn1 = 6 Then	
	ptnam = InputBox ("File Name", h1 + sp1 + vn, "12SQ-AIF-LASER")
	ptnam = UCase(ptnam)
	aifsz = InputBox ("Size of Angle Iron", h1 + sp1 + vn, "1 1/2")
	aifthk = InputBox ("Angle Iron thickness", h1 + sp1 + vn, "3/16")
	
   yn2 = msgbox (sp2 + "Are All 4-pcs Of Angle the Same length ?" + sp2, 4, h3)

			If yn2 = 6 Then 
				aiflth = InputBox ("Length of Angle Iron", h1 + sp1 + vn, "13.625")
 	 		Elseif yn2 = 7 Then
				ok1 = msgbox (bt1, ,h2)
 				shrt = InputBox ("Length of Short Pcs", h1 + sp1 + vn, "Short Length")
				lng = InputBox ("Length of Long Pcs", h1 + sp1 + vn, "Long Length")
			End If

			cunam = InputBox ("Customer Name", h1 + sp1 + vn, "Suck Ass Farms")
			
				If cunam = "Suck Ass Farms" Then 
				cunam = ""
				End If 
			
			cunam = UCase(cunam)
			strg1 = "("&ptnam&")" &Vbcrlf& _
			        "("&aifsz&" x "&aifsz&" x "&aifthk&")" 
			        
						If yn2 = 6 Then
							strg2 = "(4-Pcs. "&aiflth&" Long Angle Iron)"
  						Elseif yn2 = 7 Then
					   		strg2 = "(2-Pcs. "&shrt&" Load Front 2)" &Vbcrlf& _
					   	            "(2-Pcs. "&lng&" Load Rear 2)"
						End If 
						
						strg3 = "("&(FormatDateTime(Date,2))&"-"&pi&")" &Vbcrlf& _
						        "("&cunam&")"						        									
ElseIf yn1 = 7 Then
	strg1 = "" 
	strg2 = ""
	strg3 = "" 
End If

			
Dim strg4	 'string #4								        									
    strg4 = "" &Vbcrlf& _
			"G20" &Vbcrlf& _
			"G54" &Vbcrlf& _
			"M98(C:\AIFJIG.NC)" &Vbcrlf& _
			"G92X0.0Y0.0" &Vbcrlf& _
			"G90" &vbCrLf& _
			""

'=======================================  Footer String  =================================================
			
Dim strg6	 'string #6						
    strg6 = "G00X0.0Y4.5" &Vbcrlf& _
			"G92X0.0Y0.0" &Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"(INSERT G91 PART HERE)"&Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"G00X0.0Y4.5" &Vbcrlf& _
			"G92X0.0Y0.0" &Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"(INSERT G91 PART HERE)"&Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"G00X0.0Y4.5" &Vbcrlf& _
			"G92X0.0Y0.0" &Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"(INSERT G91 PART HERE)"&Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"G00X0.0Y4.5" &Vbcrlf& _
			"G92X0.0Y0.0" &Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"(INSERT G91 PART HERE)"&Vbcrlf& _
			""&Vbcrlf& _
			""&Vbcrlf& _
			"M98(C:\AIFUNLOAD.NC)"&Vbcrlf& _
			"G00X0.0Y-18.0"&Vbcrlf& _
			"M30"

'==================================   Get Header String  =================================================

Dim hdpn	'header program notes
If yn1 = 6 Then
	hdpn = (vbCrLf + strg1 + vbCrLf + strg2 + vbCrLf + strg3 + vbCrLf)
ElseIf yn1 = 7 Then 
	hdpn = ""
End If


Dim header		'header
If yn1 = 6 Then
	header = (hdpn + strg4)
ElseIf yn1 = 7 Then 
	header = (strg4)
End If 

'===================================  Insert Header/Footer String  =======================================

ncplot.ncpsetselection 0,0 		'header line position
ncplot.ncpinserttext header

Dim flp		'footer line position
flp = ncplot.ncpgetlineindex(ncplot.ncpgetnumlines -1)
ncplot.ncpsetselection flp,0 &Vbcrlf& ""
ncplot.ncpinserttext strg6 


Dim sp3
sp3 = "     " 
Dim h4	     'Program note header
h4 = "Finished"


NCPlot.NCPPlot
NCPlot.NCPColorize

ncplot.ncpreplaceall "()", ""
ncplot.ncpreplaceall "( x  x )", ""
ncplot.ncpreplaceall "(2-Pcs.  Load Front 2)", ""
ncplot.ncpreplaceall "(2-Pcs.  Load Rear 2)", ""
ncplot.ncpreplaceall "(4-Pcs.  Long Angle Iron)", ""


Dim nd
nd = MsgBox(sp3 + sp3 + "Script has finished" + sp3, 0, h4)